OpenVDB: RootNodeMask Class Reference

OpenVDB 11.0.0

Loading...
Searching...
No Matches
Classes | Public Member Functions | Protected Attributes | List of all members
RootNodeMask Class Reference

`#include <openvdb/util/NodeMasks.h>`

## Classes
class | BaseIterator
class | DenseIterator
class | OffIterator
class | OnIterator

## Public Member Functions
| RootNodeMask ()
| RootNodeMask (Index32 bit_size)
| RootNodeMask (const RootNodeMask &B)
| ~RootNodeMask ()
void | init (Index32 bit_size)
Index | getBitSize () const
Index | getIntSize () const
RootNodeMask & | operator= (const RootNodeMask &B)
OnIterator | beginOn () const
OnIterator | endOn () const
OffIterator | beginOff () const
OffIterator | endOff () const
DenseIterator | beginDense () const
DenseIterator | endDense () const
bool | operator== (const RootNodeMask &B) const
bool | operator!= (const RootNodeMask &B) const
RootNodeMask | operator! () const
const RootNodeMask & | operator&= (const RootNodeMask &other)
const RootNodeMask & | operator|= (const RootNodeMask &other)
const RootNodeMask & | operator^= (const RootNodeMask &other)
RootNodeMask | operator& (const RootNodeMask &other) const
RootNodeMask | operator| (const RootNodeMask &other) const
RootNodeMask | operator^ (const RootNodeMask &other) const
Index32 | getMemUsage () const
Index32 | countOn () const
Index32 | countOff () const
void | setOn (Index32 i)
void | setOff (Index32 i)
void | set (Index32 i, bool On)
void | setOn ()
void | setOff ()
void | toggle (Index32 i)
void | toggle ()
void | setFirstOn ()
void | setLastOn ()
void | setFirstOff ()
void | setLastOff ()
bool | isOn (Index32 i) const
bool | isOff (Index32 i) const
bool | isOn () const
bool | isOff () const
Index32 | findFirstOn () const
Index32 | findFirstOff () const
void | save (std::ostream &os) const
void | load (std::istream &is)
void | seek (std::istream &is) const
void | printInfo (std::ostream &os=std::cout) const
| simple print method for debugging
void | printBits (std::ostream &os=std::cout, Index32 max_out=80u) const
void | printAll (std::ostream &os=std::cout, Index32 max_out=80u) const
Index32 | findNextOn (Index32 start) const
Index32 | findNextOff (Index32 start) const
Index32 | memUsage () const

## Protected Attributes
Index32 | mBitSize
Index32 | mIntSize
Index32 * | mBits

## Constructor & Destructor Documentation

## ◆ RootNodeMask() [1/3]

RootNodeMask | ( |  | ) |
| inline

## ◆ RootNodeMask() [2/3]

RootNodeMask | ( | Index32 | bit_size | ) |
| inline

## ◆ RootNodeMask() [3/3]

RootNodeMask | ( | const RootNodeMask & | B | ) |
| inline

## ◆ ~RootNodeMask()

~RootNodeMask | ( |  | ) |
| inline

## Member Function Documentation

## ◆ beginDense()

DenseIterator beginDense | ( |  | ) | const
| inline

## ◆ beginOff()

OffIterator beginOff | ( |  | ) | const
| inline

## ◆ beginOn()

OnIterator beginOn | ( |  | ) | const
| inline

## ◆ countOff()

Index32 countOff | ( |  | ) | const
| inline

## ◆ countOn()

Index32 countOn | ( |  | ) | const
| inline

## ◆ endDense()

DenseIterator endDense | ( |  | ) | const
| inline

## ◆ endOff()

OffIterator endOff | ( |  | ) | const
| inline

## ◆ endOn()

OnIterator endOn | ( |  | ) | const
| inline

## ◆ findFirstOff()

Index32 findFirstOff | ( |  | ) | const
| inline

## ◆ findFirstOn()

Index32 findFirstOn | ( |  | ) | const
| inline

## ◆ findNextOff()

Index32 findNextOff | ( | Index32 | start | ) | const
| inline

## ◆ findNextOn()

Index32 findNextOn | ( | Index32 | start | ) | const
| inline

## ◆ getBitSize()

Index getBitSize | ( |  | ) | const
| inline

## ◆ getIntSize()

Index getIntSize | ( |  | ) | const
| inline

## ◆ getMemUsage()

Index32 getMemUsage | ( |  | ) | const
| inline

## ◆ init()

void init | ( | Index32 | bit_size | ) |
| inline

## ◆ isOff() [1/2]

bool isOff | ( |  | ) | const
| inline

## ◆ isOff() [2/2]

bool isOff | ( | Index32 | i | ) | const
| inline

## ◆ isOn() [1/2]

bool isOn | ( |  | ) | const
| inline

## ◆ isOn() [2/2]

bool isOn | ( | Index32 | i | ) | const
| inline

## ◆ load()

void load | ( | std::istream & | is | ) |
| inline

## ◆ memUsage()

Index32 memUsage | ( |  | ) | const
| inline

## ◆ operator!()

RootNodeMask operator! | ( |  | ) | const
| inline

## ◆ operator!=()

bool operator!= | ( | const RootNodeMask & | B | ) | const
| inline

## ◆ operator&()

RootNodeMask operator& | ( | const RootNodeMask & | other | ) | const
| inline

## ◆ operator&=()

const RootNodeMask & operator&= | ( | const RootNodeMask & | other | ) |
| inline

## ◆ operator=()

RootNodeMask & operator= | ( | const RootNodeMask & | B | ) |
| inline

## ◆ operator==()

bool operator== | ( | const RootNodeMask & | B | ) | const
| inline

## ◆ operator^()

RootNodeMask operator^ | ( | const RootNodeMask & | other | ) | const
| inline

## ◆ operator^=()

const RootNodeMask & operator^= | ( | const RootNodeMask & | other | ) |
| inline

## ◆ operator|()

RootNodeMask operator| | ( | const RootNodeMask & | other | ) | const
| inline

## ◆ operator|=()

const RootNodeMask & operator|= | ( | const RootNodeMask & | other | ) |
| inline

## ◆ printAll()

void printAll | ( | std::ostream & | os = std::cout,
|  | Index32 | max_out = 80u ) const
| inline

## ◆ printBits()

void printBits | ( | std::ostream & | os = std::cout,
|  | Index32 | max_out = 80u ) const
| inline

## ◆ printInfo()

void printInfo | ( | std::ostream & | os = std::cout | ) | const
| inline

simple print method for debugging

## ◆ save()

void save | ( | std::ostream & | os | ) | const
| inline

## ◆ seek()

void seek | ( | std::istream & | is | ) | const
| inline

## ◆ set()

void set | ( | Index32 | i,
|  | bool | On )
| inline

## ◆ setFirstOff()

void setFirstOff | ( |  | ) |
| inline

## ◆ setFirstOn()

void setFirstOn | ( |  | ) |
| inline

## ◆ setLastOff()

void setLastOff | ( |  | ) |
| inline

## ◆ setLastOn()

void setLastOn | ( |  | ) |
| inline

## ◆ setOff() [1/2]

void setOff | ( |  | ) |
| inline

## ◆ setOff() [2/2]

void setOff | ( | Index32 | i | ) |
| inline

## ◆ setOn() [1/2]

void setOn | ( |  | ) |
| inline

## ◆ setOn() [2/2]

void setOn | ( | Index32 | i | ) |
| inline

## ◆ toggle() [1/2]

void toggle | ( |  | ) |
| inline

## ◆ toggle() [2/2]

void toggle | ( | Index32 | i | ) |
| inline

## Member Data Documentation

## ◆ mBits

Index32* mBits
| protected

## ◆ mBitSize

Index32 mBitSize
| protected

## ◆ mIntSize

Index32 mIntSize
| protected